> ## Documentation Index
> Fetch the complete documentation index at: https://jiffyscan.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Log From Index

> Get User Operation logs



## OpenAPI

````yaml get /getLogFromIndex
openapi: 3.0.3
info:
  title: jiffyscan APIs
  version: '1.0'
  description: Gives a breif overview of all the jiffyscan APIs
  contact:
    email: aditya@jiffyscan.xyz
    name: Aditya
    url: https://jiffyscan.xyz
servers:
  - url: https://api.jiffyscan.xyz/v0
security: []
tags:
  - name: Supported Networks
    description: APIs for fetching supported network information
  - name: User Operations
    description: API's which can be used to fetch user operations done by entities
  - name: Bundler
    description: API's which can be used to fetch bundler related information
  - name: Account
    description: API's which can be used to fetch account related information
  - name: Factory
    description: API's which can be used to fetch factory related information
  - name: Metrics
    description: API's which can be used to fetch over all metrics of the ecosystem
paths:
  /getLogFromIndex:
    get:
      tags:
        - User Operations
      description: Get User Operation logs
      parameters:
        - name: transactionHash
          in: query
          required: true
          schema:
            type: string
        - name: logIndec
          in: query
          required: true
          schema:
            type: integer
        - name: network
          description: Which network to query ?
          in: query
          schema:
            type: string
          example: optimism-goerli
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                title: UserOpLog
                description: Get the log object from log index and the transacitonHash
                items:
                  $ref: '#/components/schemas/UserOpLogs'
                example:
                  log:
                    logIndex: '399'
                    transactionHash: >-
                      0xf2db8cd38e6b90493845d9fb272198af44f6feab8a9bda569c937771b128fe47
                    transactionLogIndex: '197'
                    topics:
                      - >-
                        0x49628fd1471006c1482da88028e9ce4dbb080b815c9b0344d39e5a8e6ec1419f
                      - >-
                        0x3ac3afffa093a658e726a2e8dd181bcee88414779af5b1cd45a7b2457b30b698
                      - >-
                        0x000000000000000000000000771fba46d32692728b2faf6cd8a2e11ea2987532
                      - >-
                        0x0000000000000000000000000000000000000000000000000000000000000000
                    removed: false
                    data: >-
                      0x000000000000000000000000000000000000000000000000000000000000035e00000000000000000000000000000000000000000000000000000000000000010000000000000000000000000000000000000000000000000004040613c070c20000000000000000000000000000000000000000000000000000000000013212
                    address: '0x5ff137d4b0fdcd49dca30c7cf57e578a026d2789'
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
        '403':
          description: Invalid API Key
        '502':
          description: Bad Gateway
        default:
          description: Success
      security:
        - BasicAuth: []
components:
  schemas:
    UserOpLogs:
      type: object
      description: Logs object returned by API
      properties:
        topics:
          type: array
          description: Topics of the log
          items:
            type: string
        data:
          type: string
          description: Data of the log
        transactionHash:
          type: string
          description: Transaction hash of the log
        logIndex:
          type: string
          description: Log index of the log
        address:
          type: string
          description: Address of the log
        transactionLogIndex:
          type: string
          description: Transaction log index of the log
        removed:
          type: boolean
          description: Removed status of the log
  securitySchemes:
    BasicAuth:
      type: apiKey
      name: x-api-key
      in: header
      x-amazon-apigateway-authtype: custom
      x-amazon-apigateway-authorizer:
        type: request
        authorizerUri: >-
          arn:aws:apigateway:us-east-2:lambda:path/2015-03-31/functions/arn:aws:lambda:us-east-2:283541367427:function:test-jiffyscan-BasicAuthFunction-mMOdBhL8g93M/invocations
        authorizerResultTtlInSeconds: 300
        identitySource: method.request.header.x-api-key

````